Bug 599198 - mounting subdirectory of non-user account fails
mounting subdirectory of non-user account fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nfs-utils (Show other bugs)
6.0
All Linux
low Severity medium
: beta
: ---
Assigned To: Steve Dickson
Martin Cermak
:
Depends On: 595420
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 16:19 EDT by Steve Dickson
Modified: 2012-04-25 07:40 EDT (History)
7 users (show)

See Also:
Fixed In Version: nfs-utils-1.2.2-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 595420
: 816162 (view as bug list)
Environment:
Last Closed: 2010-07-02 15:38:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2010-06-02 16:19:33 EDT
+++ This bug was initially created as a clone of Bug #595420 +++

Description of problem:
Use case 1:
Server:
# cat /etc/exports
/home/kparal/devel     192.168.1.0/24(rw,no_root_squash)

Client:
# mount.nfs 192.168.1.1:/home/kparal/devel /mnt -v
mount.nfs: timeout set for Mon May 24 16:46:36 2010
mount.nfs: trying text-based options 'vers=4,addr=192.168.1.1,clientaddr=192.168.1.2'
mount.nfs: mount(2): Permission denied
mount.nfs: access denied by server while mounting 192.168.1.1:/home/kparal/devel

# mount.nfs 192.168.1.1:/home/kparal /mnt -v
mount.nfs: timeout set for Mon May 24 17:09:51 2010
mount.nfs: trying text-based options 'vers=4,addr=192.168.1.1,clientaddr=192.168.1.2'
192.168.1.1:/home/kparal on /mnt type nfs
# ll -d /mnt/
drwx------. 94 kparal kparal 4096 May 24 12:43 /mnt/
# ll /mnt
ls: cannot open directory /mnt: Permission denied
# (ignores no_root_squash option)

Use case 2:
Server:
# cat /etc/exports
/home/kparal     192.168.1.0/24(rw,no_root_squash)

Client:
everything works perfect

Simply, for non-root owned directories, only the top-level directory can be exported. If you export a subdirectory, presented problems occur.

Version-Release number of selected component (if applicable):
Server:
2.6.33.4-95.fc13.x86_64
nfs-utils-1.2.2-2.fc13.x86_64
Client:
2.6.33.4-95.fc13.x86_64
nfs-utils-1.2.2-2.fc13.x86_64

How reproducible:
Always for my machines. Also reproduced by steved @ #fedora-devel.

Steps to Reproduce:
1. Share a subdirectory of non-root owned directory.
2. Try to mount it from a client.
3. Access denied by server.

--- Additional comment from steved@redhat.com on 2010-06-02 12:11:31 EDT ---

Your home directory '/home/kparal/' has a permission 
mode of 0700 (owner only), correct?

--- Additional comment from steved@redhat.com on 2010-06-02 16:18:39 EDT ---

It appears the no_root_squash export option is broken on
v4 mounts..
Comment 6 Martin Cermak 2010-06-08 02:38:26 EDT
=> VERIFIED
Comment 7 releng-rhel@redhat.com 2010-07-02 15:38:14 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.